import HTMLCom from '../../htmlCom/HTMLCom.vue';
import MapCom from '../../mapCom/MapCom.vue';
import RecordSet from './recordSet/RecordSet.vue';
import RecordSetTable from './recordSetTable/RecordSetTable.vue';
import AmisPage from './amisPage/AmisPage.vue';


import Summary from './summary/Summary.vue';
import DeviceLastValueCom from './deviceLastValue/DeviceLastValueCom.vue';

export const enum SummaryAnswerType {
	RecordSet = 'recordset',
	Summary = 'summary',
	Url = 'url',
	Map = 'map',
	DeviceLastValue='device_last_value',
	/** @description 后端并没有增加一个新的 table 类型，而是当成 recordset 的一种特列 */
	RecordSetTable = 'recordsetTable',
	AmisPage="amis_page"
}

export const summaryAnswerTypeMapCom = {
	[SummaryAnswerType.RecordSet]: RecordSet,
	[SummaryAnswerType.Summary]: Summary,
	[SummaryAnswerType.Url]: HTMLCom,
	[SummaryAnswerType.Map]: MapCom,
	[SummaryAnswerType.DeviceLastValue]:DeviceLastValueCom,
	[SummaryAnswerType.RecordSetTable]:RecordSetTable,
	[SummaryAnswerType.AmisPage]:AmisPage
	
};
